explain_gettimeofday_or_die(3)

NAME
explain_gettimeofday_or_die - get time and report errors

SYNOPSIS
#include <libexplain/gettimeofday.h>

void explain_gettimeofday_or_die(struct timeval *tv, struct timezone *tz);

DESCRIPTION
The explain_gettimeofday_or_die function is used to call the gettimeofday(2) system call. On failure an explanation will be printed to stderr, obtained from explain_gettimeofday(3), and then the process terminates by calling exit(EXIT_FAILURE).

This function is intended to be used in a fashion similar to the following example:
    explain_gettimeofday_or_die(tv, tz);

tv  The tv, exactly as to be passed to the gettimeofday(2) system call.

tz  The tz, exactly as to be passed to the gettimeofday(2) system call.

Returns:
    This function only returns on success. On failure, prints an explanation and exits.

SEE ALSO

gettimeofday(2)
    get time

explain_gettimeofday(3)
    explain gettimeofday(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.4
Copyright (C) 2008 Peter Miller